summaryrefslogtreecommitdiff
path: root/dev-python/DBUtils
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-02 13:10:15 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-02 13:10:15 +0000
commitae9512cdfbd3c1b4ff9c7cefaf0cff4a99eadb2c (patch)
tree2e4341b963692ea564ffe8984842ca471e010a6f /dev-python/DBUtils
parent4b562e795234dd4616d1b74e4bc5bd42fc57ddb6 (diff)
downloadbaldeagleos-repo-ae9512cdfbd3c1b4ff9c7cefaf0cff4a99eadb2c.tar.gz
baldeagleos-repo-ae9512cdfbd3c1b4ff9c7cefaf0cff4a99eadb2c.tar.xz
baldeagleos-repo-ae9512cdfbd3c1b4ff9c7cefaf0cff4a99eadb2c.zip
Adding metadata
Diffstat (limited to 'dev-python/DBUtils')
-rw-r--r--dev-python/DBUtils/DBUtils-3.0.2-r1.ebuild30
-rw-r--r--dev-python/DBUtils/DBUtils-3.0.2.ebuild28
-rw-r--r--dev-python/DBUtils/Manifest1
-rw-r--r--dev-python/DBUtils/metadata.xml24
4 files changed, 83 insertions, 0 deletions
diff --git a/dev-python/DBUtils/DBUtils-3.0.2-r1.ebuild b/dev-python/DBUtils/DBUtils-3.0.2-r1.ebuild
new file mode 100644
index 000000000000..6c131da875c7
--- /dev/null
+++ b/dev-python/DBUtils/DBUtils-3.0.2-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Database connections for multi-threaded environments"
+HOMEPAGE="
+ https://webwareforpython.github.io/DBUtils/
+ https://github.com/WebwareForPython/DBUtils/
+ https://pypi.org/project/DBUtils/
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+distutils_enable_tests unittest
+
+python_install_all() {
+ dodoc docs/*.rst
+ rm docs/*.rst || die
+ local HTML_DOCS=( docs/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/DBUtils/DBUtils-3.0.2.ebuild b/dev-python/DBUtils/DBUtils-3.0.2.ebuild
new file mode 100644
index 000000000000..a0c4eef87ee6
--- /dev/null
+++ b/dev-python/DBUtils/DBUtils-3.0.2.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Database connections for multi-threaded environments"
+HOMEPAGE="
+ https://webwareforpython.github.io/DBUtils/
+ https://github.com/WebwareForPython/DBUtils/
+ https://pypi.org/project/DBUtils/
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+distutils_enable_tests unittest
+
+python_install_all() {
+ dodoc docs/*.rst
+ rm docs/*.rst || die
+ local HTML_DOCS=( docs/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/DBUtils/Manifest b/dev-python/DBUtils/Manifest
new file mode 100644
index 000000000000..999ddb65d850
--- /dev/null
+++ b/dev-python/DBUtils/Manifest
@@ -0,0 +1 @@
+DIST DBUtils-3.0.2.tar.gz 92566 BLAKE2B ee63b252eedeba18ab1db68c10ebe7b2204bef4d2f7d07fc09a095d632dca97304280ed7f14994644e42835fd61717b88de6902feb97df04533979b2b82625ed SHA512 3e4631b8c30466e0f8be438b980fe98071535ea63e06c69161ffda89ed2716fd84c406ace1b3b78e7811bebbc7d0383f080a43b58ed073c37280a7282cb9ccb6
diff --git a/dev-python/DBUtils/metadata.xml b/dev-python/DBUtils/metadata.xml
new file mode 100644
index 000000000000..46da0a61cbde
--- /dev/null
+++ b/dev-python/DBUtils/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>lssndrbarbieri@gmail.com</email>
+ <name>Alessandro Barbieri</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription lang="en">
+ DBUtils is a suite of tools providing solid, persistent and pooled connections
+ to a database that can be used in all kinds of multi-threaded environments
+ like Webware for Python or other web application servers. The suite supports
+ DB-API 2 compliant database interfaces and the classic PyGreSQL interface.
+ </longdescription>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file